#

API Docs for: 1.3.0
Show: Inherited Protected Private Deprecated

# MovieClip Class

Extends Sprite
Defined in: `src/pixi/display/MovieClip.js:5`
Module: PIXI

A MovieClip is a simple way to display an animation depicted by a list of textures.

## Constructor

### `MovieClip`

(

- `textures`

)

Defined in `src/pixi/display/MovieClip.js:5`

#### Parameters:

- `textures` Array

  an array of {Texture} objects that make up the animation

- Index
- Methods
- Properties

## Item Index

### Methods

- addChild
- addChildAt
- click
- getChildAt
- gotoAndPlay
- gotoAndStop
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- play
- removeChild
- setInteractive
- setTexture
- stop
- swapChildren
- tap
- touchend
- touchendoutside
- touchstart

### Properties

- alpha
- anchor
- animationSpeed
- blendMode
- buttonMode
- children
- currentFrame
- height
- hitArea
- interactive
- loop
- mask
- onComplete
- parent
- pivot
- playing
- position
- rotation
- scale
- stage
- texture
- textures
- visible
- width

## Methods

### `addChild`

(

- `DisplayObject`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:42`

Adds a child to the container.

#### Parameters:

- `DisplayObject` DisplayObject

### `addChildAt`

(

- `DisplayObject`
- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:139`

Adds a child to the container at a specified index. If the index is out of bounds an error will be thrown

#### Parameters:

- `DisplayObject` DisplayObject
- `index` Number

### `click`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:109`

A callback that is used when the users clicks on the displayObject with their mouse

#### Parameters:

- `interactionData` InteractionData

### `getChildAt`

(

- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:274`

Returns the Child at the specified index

#### Parameters:

- `index` Number

### `gotoAndPlay`

(

- `frameNumber`

)

Defined in `src/pixi/display/MovieClip.js:94`

Goes to a specific frame and begins playing the MovieClip

#### Parameters:

- `frameNumber` Number

  frame index to start at

### `gotoAndStop`

(

- `frameNumber`

)

Defined in `src/pixi/display/MovieClip.js:81`

Stops the MovieClip and goes to a specific frame

#### Parameters:

- `frameNumber` Number

  frame index to stop at

### `mousedown`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:115`

A callback that is used when the user clicks the mouse down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:141`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:135`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:121`

A callback that is used when the user releases the mouse that was over the displayObject for this callback to be fired the mouse must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:128`

A callback that is used when the user releases the mouse that was over the displayObject but is no longer over the displayObject for this callback to be fired, The touch must have started over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `play`

()

Defined in `src/pixi/display/MovieClip.js:72`

Plays the MovieClip

### `removeChild`

(

- `DisplayObject`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:291`

Removes a child from the container.

#### Parameters:

- `DisplayObject` DisplayObject

### `setInteractive`

(

- `interactive`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:193`

[Deprecated] Indicates if the sprite will have touch and mouse interactivity. It is false by default Instead of using this function you can now simply set the interactive property to true or false

#### Parameters:

- `interactive` Boolean

### `setTexture`

(

- `texture`

)

Inherited from Sprite: `src/pixi/display/Sprite.js:103`

#### Parameters:

- `texture` Texture

  The PIXI texture that is displayed by the sprite

### `stop`

()

Defined in `src/pixi/display/MovieClip.js:63`

Stops the MovieClip

### `swapChildren`

(

- `DisplayObject`
- `DisplayObject2`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:227`

Swaps the depth of 2 displayObjects

#### Parameters:

- `DisplayObject` DisplayObject
- `DisplayObject2` DisplayObject

### `tap`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:152`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `touchend`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:165`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:171`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:159`

A callback that is used when the user touch's over the displayObject

#### Parameters:

- `interactionData` InteractionData

## Properties

### `alpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:43`

The opacity of the object.

### `anchor`

Point

Inherited from Sprite: `src/pixi/display/Sprite.js:21`

The anchor sets the origin point of the texture. The default is 0,0 this means the textures origin is the top left Setting than anchor to 0.5,0.5 means the textures origin is centered Setting the anchor to 1,1 would mean the textures origin points will be the bottom right

### `animationSpeed`

Number

Defined in `src/pixi/display/MovieClip.js:30`

The speed that the MovieClip will play at. Higher is faster, lower is slower

### `blendMode`

Uint

Inherited from Sprite: `src/pixi/display/Sprite.js:38`

The blend mode of sprite. currently supports PIXI.blendModes.NORMAL and PIXI.blendModes.SCREEN

### `buttonMode`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:98`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `children`

Array

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:16`

[read-only] The of children of this container.

### `currentFrame`

Number

Defined in `src/pixi/display/MovieClip.js:23`

[read only] The index MovieClips current frame (this may not have to be a whole number)

### `height`

#Number

Inherited from Sprite: `src/pixi/display/Sprite.js:53`

The height of the sprite (this is initially set by the texture)

### `hitArea`

Rectangle

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:72`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `interactive`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:204`

Indicates if the sprite will have touch and mouse interactivity. It is false by default

### `loop`

Boolean

Defined in `src/pixi/display/MovieClip.js:37`

Whether or not the movie clip repeats after playing.

### `mask`

PIXI.Graphics

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:222`

Sets a mask for the displayObject. A mask is an object that limits the visibility of an object to the shape of the mask applied to it. In PIXI a regular mask must be a PIXI.Ggraphics object. This allows for much faster masking in canvas as it utilises shape clipping. To remove a mask, set this property to null.

### `onComplete`

Function

Defined in `src/pixi/display/MovieClip.js:44`

Function to call when a MovieClip finishes playing

### `parent`

DisplayObjectContainer

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:58`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:29`

The pivot point of the displayObject that it rotates around

### `playing`

Boolean

Defined in `src/pixi/display/MovieClip.js:51`

[read only] indicates if the MovieClip is currently playing

### `position`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:15`

The coordinate of the object relative to the local coordinates of the parent.

### `rotation`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:36`

The rotation of the object in radians.

### `scale`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:22`

The scale factor of the object.

### `stage`

Stage

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:65`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `texture`

Texture

Inherited from Sprite: `src/pixi/display/Sprite.js:31`

The texture that the sprite is using

### `textures`

Array

Defined in `src/pixi/display/MovieClip.js:16`

The array of textures that make up the animation

### `visible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:50`

The visibility of the object.

### `width`

#Number

Inherited from Sprite: `src/pixi/display/Sprite.js:46`

The width of the sprite (this is initially set by the texture)